Ruby: ext/zlib/zlib-1.2.13/adler32.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
adler32.c File Reference
`#include "zutil.h"`

Go to the source code of this file.

## Macros
#define | BASE 65521U /* largest prime smaller than 65536 */
#define | NMAX 5552
#define | DO1(buf, i) {adler += (buf)[i]; sum2 += adler;}
#define | DO2(buf, i) DO1(buf,i); DO1(buf,i+1);
#define | DO4(buf, i) DO2(buf,i); DO2(buf,i+2);
#define | DO8(buf, i) DO4(buf,i); DO4(buf,i+4);
#define | DO16(buf) DO8(buf,0); DO8(buf,8);
#define | MOD(a) a %= BASE
#define | MOD28(a) a %= BASE
#define | MOD63(a) a %= BASE

## Functions
uLong adler32_combine_ | OF ((uLong adler1, uLong adler2, z_off64_t len2))
uLong ZEXPORT | adler32_z (uLong adler, const Bytef *buf, z_size_t len)
uLong ZEXPORT | adler32 (uLong adler, const Bytef *buf, uInt len)
uLong | adler32_combine_ (uLong adler1, uLong adler2, z_off64_t len2)
uLong ZEXPORT | adler32_combine (uLong adler1, uLong adler2, z_off_t len2)
uLong ZEXPORT | adler32_combine64 (uLong adler1, uLong adler2, z_off64_t len2)

## Macro Definition Documentation

## ◆ BASE

#define BASE 65521U /* largest prime smaller than 65536 */

Definition at line 12 of file adler32.c.

## ◆ DO1

#define DO1 | ( |  | buf,
|  |  | i
| ) |  | {adler += (buf)[i]; sum2 += adler;}

Definition at line 16 of file adler32.c.

## ◆ DO16

#define DO16 | ( |  | buf | ) | DO8(buf,0); DO8(buf,8);

Definition at line 20 of file adler32.c.

## ◆ DO2

#define DO2 | ( |  | buf,
|  |  | i
| ) |  | DO1(buf,i); DO1(buf,i+1);

Definition at line 17 of file adler32.c.

## ◆ DO4

#define DO4 | ( |  | buf,
|  |  | i
| ) |  | DO2(buf,i); DO2(buf,i+2);

Definition at line 18 of file adler32.c.

## ◆ DO8

#define DO8 | ( |  | buf,
|  |  | i
| ) |  | DO4(buf,i); DO4(buf,i+4);

Definition at line 19 of file adler32.c.

## ◆ MOD

#define MOD | ( |  | a | ) | a %= BASE

Definition at line 57 of file adler32.c.

## ◆ MOD28

#define MOD28 | ( |  | a | ) | a %= BASE

Definition at line 58 of file adler32.c.

## ◆ MOD63

#define MOD63 | ( |  | a | ) | a %= BASE

Definition at line 59 of file adler32.c.

## ◆ NMAX

#define NMAX 5552

Definition at line 13 of file adler32.c.

## Function Documentation

## ◆ adler32()

uLong ZEXPORT adler32 | ( | uLong | adler,
|  | const Bytef * | buf,
|  | uInt | len
| ) |  |

Definition at line 134 of file adler32.c.

References adler32_z(), and len.

Referenced by deflate(), deflateResetKeep(), deflateSetDictionary(), inflate(), inflateSetDictionary(), and read_buf().

## ◆ adler32_combine()

uLong ZEXPORT adler32_combine | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off_t | len2
| ) |  |

Definition at line 172 of file adler32.c.

References adler32_combine_().

## ◆ adler32_combine64()

uLong ZEXPORT adler32_combine64 | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off64_t | len2
| ) |  |

Definition at line 180 of file adler32.c.

References adler32_combine_().

## ◆ adler32_combine_()

uLong adler32_combine_ | ( | uLong | adler1,
|  | uLong | adler2,
|  | z_off64_t | len2
| ) |  |

Definition at line 143 of file adler32.c.

References BASE, long(), MOD, and MOD63.

Referenced by adler32_combine(), and adler32_combine64().

## ◆ adler32_z()

uLong ZEXPORT adler32_z | ( | uLong | adler,
|  | const Bytef * | buf,
|  | z_size_t | len
| ) |  |

Definition at line 63 of file adler32.c.

References BASE, DO16, len, MOD, MOD28, NMAX, and Z_NULL.

Referenced by adler32().

## ◆ OF()

uLong adler32_combine_ OF | ( | (uLong adler1, uLong adler2, z_off64_t len2) |  | ) |